The Alternative Csound Reference Manual
Previous |  | Next

# e Statement

e statement -- This statement may be used to mark the end of the last section of the score.

## Description

This statement may be used to mark the end of the last section of the score.

## Syntax

e anything

## Performance

All pfields are ignored.

### Special Considerations

The e statement is contextually identical to an s statement. Additionally, the e statement terminates all signal generation (including indefinite performance) and closes all input and output files.

If an e statement occurs before the end of a score, all subsequent score lines will be ignored.

The e statement is optional in a score file yet to be sorted. If a score file has no e statement, then Sort processing will supply one.

Previous | Home | Next
b Statement | Up | f Statement (or Function Table Statement)